## crispy-doom 5.2

=== CMakeLists.txt ===
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

cmake_minimum_required(VERSION 3.7.2)
project("Chocolate Doom" VERSION 3.0.0 LANGUAGES C)

# Autotools variables
set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
set(top_builddir ${CMAKE_CURRENT_BINARY_DIR})

# AC_INIT variables
set(PACKAGE_NAME "${PROJECT_NAME}")
set(PACKAGE_TARNAME "chocolate-doom")
set(PACKAGE_VERSION "${PROJECT_VERSION}")
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PACKAGE_BUGREPORT "chocolate-doom-dev-list@chocolate-doom.org")

string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2017")
set(PACKAGE_LICENSE "GNU General Public License, version 2")

# Any settings that should apply to all targets in this directory and all
# subdirectories should go here.  Use judiciously.
if(MSVC)
    add_definitions("/D_CRT_SECURE_NO_WARNINGS" "/D_CRT_SECURE_NO_DEPRECATE"
                    "/D_CRT_NONSTDC_NO_DEPRECATE")
else()
    add_compile_options("-Wall" "-Wdeclaration-after-statement"
                        "-Wredundant-decls")
endif()

find_package(SDL2 2.0.1)
find_package(SDL2_mixer 2.0.0)
find_package(SDL2_net 2.0.0)

# Check for libsamplerate.
find_package(samplerate)
if(SAMPLERATE_FOUND)
    set(HAVE_LIBSAMPLERATE TRUE)
endif()

# Check for libpng.
find_package(PNG)
if(PNG_FOUND)
    set(HAVE_LIBPNG TRUE)
endif()

find_package(m)

include(CheckSymbolExists)
check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)

string(CONCAT WINDOWS_RC_VERSION "${PROJECT_VERSION_MAJOR}, "
    "${PROJECT_VERSION_MINOR}, ${PROJECT_VERSION_PATCH}, 0")

# Without a hyphen. This is used for the bash-completion scripts.
string(TOLOWER "${PACKAGE_SHORTNAME}" PROGRAM_SPREFIX)

# With a hyphen, used almost everywhere else.
set(PROGRAM_PREFIX "${PROGRAM_SPREFIX}-")

configure_file(cmake/config.h.cin config.h)

configure_file(src/resource.rc.in src/resource.rc)
configure_file(src/setup-res.rc.in src/setup-res.rc)
configure_file(src/setup/setup-manifest.xml.in src/setup/setup-manifest.xml)

foreach(SUBDIR textscreen midiproc opl pcsound src)
    add_subdirectory("${SUBDIR}")
endforeach()

=== src/CMakeLists.txt ===
foreach(SUBDIR doom heretic hexen strife setup)
    add_subdirectory("${SUBDIR}")
endforeach()

# Common source files used by absolutely everything:

set(COMMON_SOURCE_FILES
    i_main.c
    i_system.c           i_system.h
    m_argv.c             m_argv.h
    m_misc.c             m_misc.h)

# Dedicated server (chocolate-server):

set(DEDSERV_FILES
    d_dedicated.c
    d_mode.c             d_mode.h
    i_timer.c            i_timer.h
    net_common.c         net_common.h
    net_dedicated.c      net_dedicated.h
    net_io.c             net_io.h
    net_packet.c         net_packet.h
    net_sdl.c            net_sdl.h
    net_query.c          net_query.h
    net_server.c         net_server.h
    net_structrw.c       net_structrw.h
    z_native.c           z_zone.h)

add_executable("${PROGRAM_PREFIX}server" WIN32 ${COMMON_SOURCE_FILES} ${DEDSERV_FILES})
target_include_directories("${PROGRAM_PREFIX}server"
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries("${PROGRAM_PREFIX}server" SDL2::SDL2main SDL2::net)

# Source files used by the game binaries (chocolate-doom, etc.)

set(GAME_SOURCE_FILES
    aes_prng.c          aes_prng.h
    d_event.c           d_event.h
                        doomkeys.h
                        doomtype.h
    d_iwad.c            d_iwad.h
    d_loop.c            d_loop.h
    d_mode.c            d_mode.h
                        d_ticcmd.h
    deh_str.c           deh_str.h
    gusconf.c           gusconf.h
    i_cdmus.c           i_cdmus.h
    i_endoom.c          i_endoom.h
    i_input.c           i_input.h
    i_joystick.c        i_joystick.h
                        i_swap.h
    i_midipipe.c        i_midipipe.h
    i_oplmusic.c
    i_pcsound.c
    i_sdlmusic.c
    i_sdlsound.c
    i_sound.c           i_sound.h
    i_timer.c           i_timer.h
    i_video.c           i_video.h
    i_videohr.c         i_videohr.h
    midifile.c          midifile.h
    mus2mid.c           mus2mid.h
    m_bbox.c            m_bbox.h
    m_cheat.c           m_cheat.h
    m_config.c          m_config.h
    m_controls.c        m_controls.h
    m_fixed.c           m_fixed.h
    net_client.c        net_client.h
    net_common.c        net_common.h
    net_dedicated.c     net_dedicated.h
                        net_defs.h
    net_gui.c           net_gui.h
    net_io.c            net_io.h
    net_loop.c          net_loop.h
    net_packet.c        net_packet.h
    net_query.c         net_query.h
    net_sdl.c           net_sdl.h
    net_server.c        net_server.h
    net_structrw.c      net_structrw.h
    sha1.c              sha1.h
    memio.c             memio.h
    tables.c            tables.h
    v_diskicon.c        v_diskicon.h
    v_video.c           v_video.h
                        v_patch.h
    w_checksum.c        w_checksum.h
    w_main.c            w_main.h
    w_wad.c             w_wad.h
    w_file.c            w_file.h
    w_file_stdc.c
    w_file_posix.c
    w_file_win32.c
    w_merge.c           w_merge.h
    z_zone.c            z_zone.h)

set(DEHACKED_SOURCE_FILES
                        deh_defs.h
    deh_io.c            deh_io.h
    deh_main.c          deh_main.h
    deh_mapping.c       deh_mapping.h
    deh_text.c)

# Some games support dehacked patches, some don't:

set(SOURCE_FILES ${COMMON_SOURCE_FILES} ${GAME_SOURCE_FILES})
set(SOURCE_FILES_WITH_DEH ${SOURCE_FILES} ${DEHACKED_SOURCE_FILES})

set(EXTRA_LIBS SDL2::SDL2main SDL2::SDL2 SDL2::mixer SDL2::net textscreen pcsound opl)
if(SAMPLERATE_FOUND)
    list(APPEND EXTRA_LIBS samplerate::samplerate)
endif()
if(PNG_FOUND)
    list(APPEND EXTRA_LIBS PNG::PNG)
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}doom" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}doom" ${SOURCE_FILES_WITH_DEH})
endif()

target_include_directories("${PROGRAM_PREFIX}doom"
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries("${PROGRAM_PREFIX}doom" doom ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}doom" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}heretic" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}heretic" ${SOURCE_FILES_WITH_DEH})
endif()

target_include_directories("${PROGRAM_PREFIX}heretic"
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries("${PROGRAM_PREFIX}heretic" heretic ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}heretic" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}hexen" WIN32 ${SOURCE_FILES} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}hexen" ${SOURCE_FILES})
endif()

target_include_directories("${PROGRAM_PREFIX}hexen"
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries("${PROGRAM_PREFIX}hexen" hexen ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}hexen" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}strife" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}strife" ${SOURCE_FILES_WITH_DEH})
endif()

target_include_directories("${PROGRAM_PREFIX}strife"
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries("${PROGRAM_PREFIX}strife" strife ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}strife" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

# Source files needed for chocolate-setup:

set(SETUP_FILES
    deh_str.c           deh_str.h
    d_mode.c            d_mode.h
    d_iwad.c            d_iwad.h
    i_timer.c           i_timer.h
    m_config.c          m_config.h
    m_controls.c        m_controls.h
    net_io.c            net_io.h
    net_packet.c        net_packet.h
    net_sdl.c           net_sdl.h
    net_query.c         net_query.h
    net_structrw.c      net_structrw.h
    z_native.c          z_zone.h)

if(WIN32)
    add_executable("${PROGRAM_PREFIX}setup" WIN32 ${SETUP_FILES} ${COMMON_SOURCE_FILES} "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
else()
    add_executable("${PROGRAM_PREFIX}setup" ${SETUP_FILES} ${COMMON_SOURCE_FILES})
endif()

target_include_directories("${PROGRAM_PREFIX}setup"
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::SDL2main SDL2::SDL2 SDL2::mixer SDL2::net setup textscreen)

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}setup" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

add_executable(midiread midifile.c z_native.c i_system.c m_argv.c m_misc.c)
target_compile_definitions(midiread PRIVATE "-DTEST")
target_include_directories(midiread PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(midiread SDL2::SDL2main SDL2::SDL2)

add_executable(mus2mid mus2mid.c memio.c z_native.c i_system.c m_argv.c m_misc.c)
target_compile_definitions(mus2mid PRIVATE "-DSTANDALONE")
target_include_directories(mus2mid PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(mus2mid SDL2::SDL2main SDL2::SDL2)

=== src/strife/CMakeLists.txt ===
set(STRIFE_SOURCES
    am_map.c        am_map.h
    deh_ammo.c
    deh_cheat.c
    deh_strife.c
    deh_frame.c
    deh_misc.c      deh_misc.h
    deh_ptr.c
    deh_sound.c
    deh_thing.c
    deh_weapon.c
                    d_englsh.h
    d_items.c       d_items.h
    d_main.c        d_main.h
    d_net.c
                    doomdata.h
    doomdef.c       doomdef.h
    doomstat.c      doomstat.h
                    d_player.h
    dstrings.c      dstrings.h
                    d_textur.h
                    d_think.h
    f_finale.c      f_finale.h
    f_wipe.c        f_wipe.h
    g_game.c        g_game.h
    hu_lib.c        hu_lib.h
    hu_stuff.c      hu_stuff.h
    info.c          info.h
    m_menu.c        m_menu.h
    m_random.c      m_random.h
    m_saves.c       m_saves.h
    p_ceilng.c
    p_dialog.c      p_dialog.h
    p_doors.c
    p_enemy.c
    p_floor.c
    p_inter.c       p_inter.h
    p_lights.c
                    p_local.h
    p_map.c
    p_maputl.c
    p_mobj.c        p_mobj.h
    p_plats.c
    p_pspr.c        p_pspr.h
    p_saveg.c       p_saveg.h
    p_setup.c       p_setup.h
    p_sight.c
    p_spec.c        p_spec.h
    p_switch.c
    p_telept.c
    p_tick.c        p_tick.h
    p_user.c
    r_bsp.c         r_bsp.h
    r_data.c        r_data.h
                    r_defs.h
    r_draw.c        r_draw.h
                    r_local.h
    r_main.c        r_main.h
    r_plane.c       r_plane.h
    r_segs.c        r_segs.h
    r_sky.c         r_sky.h
                    r_state.h
    r_things.c      r_things.h
    s_sound.c       s_sound.h
    sounds.c        sounds.h
    st_lib.c        st_lib.h
    st_stuff.c      st_stuff.h
    wi_stuff.c      wi_stuff.h)
if(MSVC)
    list(APPEND STRIFE_SOURCES "../../win32/win_opendir.c" "../../win32/win_opendir.h")
endif()
add_library(strife STATIC ${STRIFE_SOURCES})

target_include_directories(strife PRIVATE "../" "../../win32/" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(strife textscreen SDL2::SDL2 SDL2::mixer SDL2::net)

=== debian/changelog ===
crispy-doom (5.2-1) unstable; urgency=medium

  * Initial packaging based on chocolate-doom.
    Closes: #880972.
  * We do not build or install the crispy-server program: it is identical
    to, and designed to be compatible with, the pre-existing
    chocolate-server.
  * Lintian has two false positives (privacy-breach-generic), see
    #902919 for details.

 -- Jonathan Dowland <jmtd@debian.org>  Thu, 05 Jul 2018 14:37:21 +0100

=== debian/control ===
Source: crispy-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jonathan Dowland <jmtd@debian.org>
Build-Depends:
 debhelper (>= 10),
 bash-completion,
 libpng-dev,
 libsamplerate0-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 libsdl2-dev,
 python (>= 2.5)
Standards-Version: 4.1.2
Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
Homepage: https://www.chocolate-doom.org/wiki/index.php/Crispy_Doom

Package: crispy-doom
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freedm | game-data-packager
Provides: doom-engine
Description: Limit-raising medium-resolution Doom engine based on Chocolate Doom
 Crispy Doom is a friendly fork of Chocolate Doom that provides a higher display
 resolution, removes the static limits of the Doom engine and offers further
 optional visual, tactical and physical enhancements while remaining entirely
 config file, savegame, netplay and demo compatibile with the original.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs

%:
	dh $@ --with bash-completion

override_dh_auto_install:
	dh_auto_install --max-parallel=1 -- \
		SETUP_BINARIES=crispy-doom-setup \
		DOC_FILES="README.Crispy.htm" \
		execgamesdir=/usr/games \
		appdatadir=/usr/share/metainfo
	# avoid clashing with chocolate-doom (contents is currently identical)
	mv debian/crispy-doom/usr/share/man/man5/default.cfg.5 \
	   debian/crispy-doom/usr/share/man/man5/crispy_default.cfg.5
	sed -i 's/Exec=crispy-setup/Exec=crispy-doom-setup/' \
            debian/crispy-doom/usr/share/applications/crispy-setup.desktop
	# superfluous docs
	rm debian/crispy-doom/usr/share/doc/crispy-doom/CMDLINE.doom \
	      debian/crispy-doom/usr/share/doc/crispy-doom/INSTALL.doom \
	      debian/crispy-doom/usr/share/doc/crispy-doom/NOT-BUGS.md

## crispy-doom 5.4

=== debian/changelog ===
crispy-doom (5.4-3) unstable; urgency=medium

  * Apply some patches from the upstream GIT repository that
    fix a crash when changing the renderer in-game.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 22 Dec 2018 15:26:35 +0100

crispy-doom (5.4-2) unstable; urgency=medium

  * Pass BUILD_DATE as a string.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 18 Dec 2018 23:23:15 +0100

crispy-doom (5.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.

  [ Fabian Greffrath ]
  * New upstream version 5.4.
  * Remove debian/missing-sources, README.Crispy.htm has been
    removed upstream.
  * Remove lintian-overrides, the INSTALL.doom document isn't
    even installed anymore.
  * Fix typo in package description, Closes: #916600.
  * Remove non-existent patch from series file.
  * Bump debian compat to 11.
  * Replace README.Crispy.htm with README.md in debian/rules.
  * Remove CC-BY-SA-4.0 from debian/copyright.
  * Fix some removed or moved files in debian/copyright.
  * Enable all hardening flags.
  * Make build reproducible.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 18 Dec 2018 22:32:57 +0100

## crispy-doom 5.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Chocolate Doom" VERSION 3.0.0 LANGUAGES C)
+project("Crispy Doom" VERSION 5.4.0 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
@@ -9,10 +9,10 @@
 
 # AC_INIT variables
 set(PACKAGE_NAME "${PROJECT_NAME}")
-set(PACKAGE_TARNAME "chocolate-doom")
+set(PACKAGE_TARNAME "crispy-doom")
 set(PACKAGE_VERSION "${PROJECT_VERSION}")
 set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
-set(PACKAGE_BUGREPORT "chocolate-doom-dev-list@chocolate-doom.org")
+set(PACKAGE_BUGREPORT "https://github.com/fabiangreffrath/crispy-doom/issues")
 
 string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
 set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2017")
@@ -47,8 +47,10 @@
 find_package(m)
 
 include(CheckSymbolExists)
+include(CheckIncludeFile)
 check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
 check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)
+check_include_file("dirent.h" HAVE_DIRENT_H)
 
 string(CONCAT WINDOWS_RC_VERSION "${PROJECT_VERSION_MAJOR}, "
     "${PROJECT_VERSION_MINOR}, ${PROJECT_VERSION_PATCH}, 0")

=== midiproc/CMakeLists.txt ===
if(WIN32)
    add_executable("${PROGRAM_PREFIX}midiproc" WIN32 buffer.c buffer.h main.c proto.h)
    target_include_directories("${PROGRAM_PREFIX}midiproc"
                               PRIVATE "../src/" "${CMAKE_CURRENT_BINARY_DIR}/../")
    target_link_libraries("${PROGRAM_PREFIX}midiproc" SDL2::SDL2main SDL2::mixer)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # Common source files used by absolutely everything:
 
 set(COMMON_SOURCE_FILES
+    crispy.c             crispy.h
     i_main.c
     i_system.c           i_system.h
     m_argv.c             m_argv.h
@@ -46,10 +47,12 @@
     gusconf.c           gusconf.h
     i_cdmus.c           i_cdmus.h
     i_endoom.c          i_endoom.h
+    i_glob.c            i_glob.h
     i_input.c           i_input.h
     i_joystick.c        i_joystick.h
                         i_swap.h
     i_midipipe.c        i_midipipe.h
+    i_musicpack.c
     i_oplmusic.c
     i_pcsound.c
     i_sdlmusic.c
@@ -83,6 +86,7 @@
     v_diskicon.c        v_diskicon.h
     v_video.c           v_video.h
                         v_patch.h
+    v_trans.c           v_trans.h
     w_checksum.c        w_checksum.h
     w_main.c            w_main.h
     w_wad.c             w_wad.h
@@ -92,6 +96,11 @@
     w_file_win32.c
     w_merge.c           w_merge.h
     z_zone.c            z_zone.h)
+
+if(MSVC)
+    list(APPEND GAME_SOURCE_FILES
+         "../win32/win_opendir.c" "../win32/win_opendir.h")
+endif()
 
 set(DEHACKED_SOURCE_FILES
                         deh_defs.h

=== textscreen/CMakeLists.txt ===
add_library(textscreen
            textscreen.h
            txt_conditional.c   txt_conditional.h
            txt_checkbox.c      txt_checkbox.h
            txt_desktop.c       txt_desktop.h
            txt_dropdown.c      txt_dropdown.h
            txt_fileselect.c    txt_fileselect.h
            txt_gui.c           txt_gui.h
            txt_inputbox.c      txt_inputbox.h
            txt_io.c            txt_io.h
                                txt_main.h
            txt_button.c        txt_button.h
            txt_label.c         txt_label.h
            txt_radiobutton.c   txt_radiobutton.h
            txt_scrollpane.c    txt_scrollpane.h
            txt_separator.c     txt_separator.h
            txt_spinctrl.c      txt_spinctrl.h
            txt_sdl.c           txt_sdl.h
            txt_strut.c         txt_strut.h
            txt_table.c         txt_table.h
            txt_utf8.c          txt_utf8.h
            txt_widget.c        txt_widget.h
            txt_window.c        txt_window.h
            txt_window_action.c txt_window_action.h)
target_include_directories(textscreen
                           INTERFACE "."
                           PRIVATE "../src/")
target_link_libraries(textscreen m SDL2::SDL2)

=== src/doom/CMakeLists.txt ===
add_library(doom STATIC
            am_map.c        am_map.h
            deh_ammo.c
            deh_bexincl.c
            deh_bexpars.c
            deh_bexptr.c
            deh_bexstr.c
            deh_cheat.c
            deh_doom.c
            deh_frame.c
            deh_misc.c      deh_misc.h
            deh_ptr.c
            deh_sound.c
            deh_thing.c
            deh_weapon.c
                            d_englsh.h
            d_items.c       d_items.h
            d_main.c        d_main.h
            d_net.c
                            doomdata.h
            doomdef.c       doomdef.h
            doomstat.c      doomstat.h
                            d_player.h
            dstrings.c      dstrings.h
                            d_textur.h
                            d_think.h
            f_finale.c      f_finale.h
            f_wipe.c        f_wipe.h
            g_game.c        g_game.h
            hu_lib.c        hu_lib.h
            hu_stuff.c      hu_stuff.h
            info.c          info.h
                            m_background.h
            m_crispy.c      m_crispy.h
            m_menu.c        m_menu.h
            m_random.c      m_random.h
            p_bexptr.c
            p_blockmap.c
            p_ceilng.c
            p_doors.c
            p_enemy.c
            p_extnodes.c    p_extnodes.h
            p_extsaveg.c    p_extsaveg.h
            p_floor.c
            p_inter.c       p_inter.h
            p_lights.c
                            p_local.h
            p_map.c
            p_maputl.c
            p_mobj.c        p_mobj.h
            p_plats.c
            p_pspr.c        p_pspr.h
            p_saveg.c       p_saveg.h
            p_setup.c       p_setup.h
            p_sight.c
            p_spec.c        p_spec.h
            p_switch.c
            p_telept.c
            p_tick.c        p_tick.h
            p_user.c
            r_bmaps.c       r_bmaps.h
            r_bsp.c         r_bsp.h
            r_data.c        r_data.h
                            r_defs.h
            r_draw.c        r_draw.h
                            r_local.h
            r_main.c        r_main.h
            r_plane.c       r_plane.h
            r_segs.c        r_segs.h
            r_sky.c         r_sky.h
                            r_state.h
            r_things.c      r_things.h
            s_musinfo.c     s_musinfo.h
            s_sound.c       s_sound.h
            sounds.c        sounds.h
            statdump.c      statdump.h
            st_lib.c        st_lib.h
            st_stuff.c      st_stuff.h
            wi_stuff.c      wi_stuff.h)

target_include_directories(doom PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(doom SDL2::SDL2 SDL2::mixer SDL2::net)

=== src/heretic/CMakeLists.txt ===
add_library(heretic STATIC
            am_data.h
            am_map.c            am_map.h
            ct_chat.c           ct_chat.h
            deh_ammo.c
            deh_frame.c
            deh_htext.c
            deh_htic.c          deh_htic.h
            deh_sound.c
            deh_thing.c
            deh_weapon.c
            d_main.c
            d_net.c
                                doomdata.h
                                doomdef.h
                                dstrings.h
            f_finale.c
            g_game.c
            info.c              info.h
            in_lude.c
            m_random.c          m_random.h
            mn_menu.c
                                p_action.h
            p_ceilng.c
            p_doors.c
            p_enemy.c
            p_floor.c
            p_inter.c
            p_lights.c
            p_local.h
            p_map.c
            p_maputl.c
            p_mobj.c
            p_plats.c
            p_pspr.c
            p_saveg.c
            p_setup.c
            p_sight.c
            p_spec.c            p_spec.h
            p_switch.c
            p_telept.c
            p_tick.c
            p_user.c
            r_bsp.c
            r_data.c
            r_draw.c
                                r_local.h
            r_main.c
            r_plane.c
            r_segs.c
            r_things.c
            sb_bar.c
            sounds.c            sounds.h
            s_sound.c           s_sound.h)

target_include_directories(heretic PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(heretic textscreen SDL2::SDL2 SDL2::mixer SDL2::net)

=== debian/changelog ===
crispy-doom (5.4.1-1+security) unstable; urgency=medium

  * update

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Thu, 01 Jul 2021 13:28:26 +0800

## crispy-doom 5.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.4.0 LANGUAGES C)
+project("Crispy Doom" VERSION 5.5.0 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
crispy-doom (5.5.1-1) unstable; urgency=medium

  * New upstream version 5.5.1
  * Remove all patches backported from upstream.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 09 Mar 2019 20:09:55 +0100

crispy-doom (5.5-1) unstable; urgency=medium

  * New upstream version 5.5
  * Remove all patches backported from upstream,
    apply two post-release patches.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 01 Mar 2019 19:44:50 +0100

## crispy-doom 5.5.2+git114

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.5.0 LANGUAGES C)
+project("Crispy Doom" VERSION 5.5.2 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,7 @@
     net_io.c            net_io.h
     net_loop.c          net_loop.h
     net_packet.c        net_packet.h
+    net_petname.c       net_petname.h
     net_query.c         net_query.h
     net_sdl.c           net_sdl.h
     net_server.c        net_server.h
@@ -97,9 +98,14 @@
     w_merge.c           w_merge.h
     z_zone.c            z_zone.h)
 
+set(GAME_INCLUDE_DIRS "${CMAKE_CURRENT_BINARY_DIR}/../")
+
 if(MSVC)
     list(APPEND GAME_SOURCE_FILES
          "../win32/win_opendir.c" "../win32/win_opendir.h")
+
+    list(APPEND GAME_INCLUDE_DIRS
+         "${PROJECT_SOURCE_DIR}/win32/")
 endif()
 
 set(DEHACKED_SOURCE_FILES
@@ -128,8 +134,7 @@
     add_executable("${PROGRAM_PREFIX}doom" ${SOURCE_FILES_WITH_DEH})
 endif()
 
-target_include_directories("${PROGRAM_PREFIX}doom"
-                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
+target_include_directories("${PROGRAM_PREFIX}doom" PRIVATE ${GAME_INCLUDE_DIRS})
 target_link_libraries("${PROGRAM_PREFIX}doom" doom ${EXTRA_LIBS})
 
 if(MSVC)
@@ -143,8 +148,7 @@
     add_executable("${PROGRAM_PREFIX}heretic" ${SOURCE_FILES_WITH_DEH})
 endif()
 
-target_include_directories("${PROGRAM_PREFIX}heretic"
-                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
+target_include_directories("${PROGRAM_PREFIX}heretic" PRIVATE ${GAME_INCLUDE_DIRS})
 target_link_libraries("${PROGRAM_PREFIX}heretic" heretic ${EXTRA_LIBS})
 
 if(MSVC)
@@ -158,8 +162,7 @@
     add_executable("${PROGRAM_PREFIX}hexen" ${SOURCE_FILES})
 endif()
 
-target_include_directories("${PROGRAM_PREFIX}hexen"
-                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
+target_include_directories("${PROGRAM_PREFIX}hexen" PRIVATE ${GAME_INCLUDE_DIRS})
 target_link_libraries("${PROGRAM_PREFIX}hexen" hexen ${EXTRA_LIBS})
 
 if(MSVC)
@@ -173,8 +176,7 @@
     add_executable("${PROGRAM_PREFIX}strife" ${SOURCE_FILES_WITH_DEH})
 endif()
 
-target_include_directories("${PROGRAM_PREFIX}strife"
-                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
+target_include_directories("${PROGRAM_PREFIX}strife" PRIVATE ${GAME_INCLUDE_DIRS})
 target_link_libraries("${PROGRAM_PREFIX}strife" strife ${EXTRA_LIBS})
 
 if(MSVC)
@@ -193,6 +195,7 @@
     m_controls.c        m_controls.h
     net_io.c            net_io.h
     net_packet.c        net_packet.h
+    net_petname.c       net_petname.h
     net_sdl.c           net_sdl.h
     net_query.c         net_query.h
     net_structrw.c      net_structrw.h

=== src/doom/CMakeLists.txt ===
--- 
+++ 
@@ -69,6 +69,7 @@
             r_segs.c        r_segs.h
             r_sky.c         r_sky.h
                             r_state.h
+            r_swirl.c       r_swirl.h
             r_things.c      r_things.h
             s_musinfo.c     s_musinfo.h
             s_sound.c       s_sound.h

=== debian/changelog ===
crispy-doom (5.5.2+git114-1) unstable; urgency=medium

  * New upstream development snapshot from GIT
    commit b4d87dde.
  * Bump Standards-Version to 4.4.0.
  * Bump debhelper-compat to 12.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 25 Jul 2019 13:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Jonathan Dowland <jmtd@debian.org>
+Uploaders: Jonathan Dowland <jmtd@debian.org>,
+ Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  bash-completion,
  libpng-dev,
  libsamplerate0-dev,
@@ -12,7 +13,7 @@
  libsdl2-net-dev,
  libsdl2-dev,
  python (>= 2.5)
-Standards-Version: 4.1.2
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
 Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
 Homepage: https://www.chocolate-doom.org/wiki/index.php/Crispy_Doom
@@ -29,4 +30,4 @@
  Crispy Doom is a friendly fork of Chocolate Doom that provides a higher display
  resolution, removes the static limits of the Doom engine and offers further
  optional visual, tactical and physical enhancements while remaining entirely
- config file, savegame, netplay and demo compatibile with the original.
+ config file, savegame, netplay and demo compatible with the original.

## crispy-doom 5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.5.2 LANGUAGES C)
+project("Crispy Doom" VERSION 5.6.0 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
crispy-doom (5.6-1) unstable; urgency=medium

  * New upstream version 5.6
  * Do not install the server, but do not patch
    the build system either.
  * Point Homepage fields to the GitHub project page.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 05 Aug 2019 08:57:40 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
 Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
-Homepage: https://www.chocolate-doom.org/wiki/index.php/Crispy_Doom
+Homepage: https://github.com/fabiangreffrath/crispy-doom
 
 Package: crispy-doom
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
+export DEB_CPPFLAGS_MAINT_APPEND = -DBUILD_DATE='"$(shell date --utc --date=@${SOURCE_DATE_EPOCH} +%Y-%m-%d)"'
 
 %:
 	dh $@ --with bash-completion
@@ -8,7 +10,7 @@
 override_dh_auto_install:
 	dh_auto_install --max-parallel=1 -- \
 		SETUP_BINARIES=crispy-doom-setup \
-		DOC_FILES="README.Crispy.htm" \
+		DOC_FILES="README.md" \
 		execgamesdir=/usr/games \
 		appdatadir=/usr/share/metainfo
 	# avoid clashing with chocolate-doom (contents is currently identical)
@@ -20,3 +22,4 @@
 	rm debian/crispy-doom/usr/share/doc/crispy-doom/CMDLINE.doom \
 	      debian/crispy-doom/usr/share/doc/crispy-doom/INSTALL.doom \
 	      debian/crispy-doom/usr/share/doc/crispy-doom/NOT-BUGS.md
+	find 'debian/' -name 'crispy-server*' -delete

## crispy-doom 5.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.6.0 LANGUAGES C)
+project("Crispy Doom" VERSION 5.6.3 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
crispy-doom (5.6.3-1) unstable; urgency=medium

  * New upstream version 5.6.3
  * Account for using reverse-DNS for the project identifier in the
    desktop files.
  * Remove generated metainfo files in the package clean rule.
  * Rules-Requires-Root: no.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 11 Oct 2019 20:10:12 +0200

crispy-doom (5.6.1-1) unstable; urgency=medium

  * New upstream version 5.6.1
  * Port over Stephen Kitt's patch from the Chocolate Doom package
    to build with Python 3 (Closes: #936342).

 -- Fabian Greffrath <fabian@debian.org>  Tue, 03 Sep 2019 12:40:07 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
 Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
 Homepage: https://github.com/fabiangreffrath/crispy-doom
+Rules-Requires-Root: no
 
 Package: crispy-doom
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	mv debian/crispy-doom/usr/share/man/man5/default.cfg.5 \
 	   debian/crispy-doom/usr/share/man/man5/crispy_default.cfg.5
 	sed -i 's/Exec=crispy-setup/Exec=crispy-doom-setup/' \
-            debian/crispy-doom/usr/share/applications/crispy-setup.desktop
+	   debian/crispy-doom/usr/share/applications/*Setup*.desktop
 	# superfluous docs
 	rm debian/crispy-doom/usr/share/doc/crispy-doom/CMDLINE.doom \
 	      debian/crispy-doom/usr/share/doc/crispy-doom/INSTALL.doom \

## crispy-doom 5.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.6.3 LANGUAGES C)
+project("Crispy Doom" VERSION 5.6.4 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,17 +15,20 @@
 
 set(DEDSERV_FILES
     d_dedicated.c
-    d_mode.c             d_mode.h
-    i_timer.c            i_timer.h
-    net_common.c         net_common.h
-    net_dedicated.c      net_dedicated.h
-    net_io.c             net_io.h
-    net_packet.c         net_packet.h
-    net_sdl.c            net_sdl.h
-    net_query.c          net_query.h
-    net_server.c         net_server.h
-    net_structrw.c       net_structrw.h
-    z_native.c           z_zone.h)
+    d_iwad.c            d_iwad.h
+    d_mode.c            d_mode.h
+    deh_str.c           deh_str.h
+    i_timer.c           i_timer.h
+    m_config.c          m_config.h
+    net_common.c        net_common.h
+    net_dedicated.c     net_dedicated.h
+    net_io.c            net_io.h
+    net_packet.c        net_packet.h
+    net_sdl.c           net_sdl.h
+    net_query.c         net_query.h
+    net_server.c        net_server.h
+    net_structrw.c      net_structrw.h
+    z_native.c          z_zone.h)
 
 add_executable("${PROGRAM_PREFIX}server" WIN32 ${COMMON_SOURCE_FILES} ${DEDSERV_FILES})
 target_include_directories("${PROGRAM_PREFIX}server"
@@ -71,7 +74,7 @@
     net_client.c        net_client.h
     net_common.c        net_common.h
     net_dedicated.c     net_dedicated.h
-                        net_defs.h
+    net_defs.h
     net_gui.c           net_gui.h
     net_io.c            net_io.h
     net_loop.c          net_loop.h
@@ -109,7 +112,7 @@
 endif()
 
 set(DEHACKED_SOURCE_FILES
-                        deh_defs.h
+    deh_defs.h
     deh_io.c            deh_io.h
     deh_main.c          deh_main.h
     deh_mapping.c       deh_mapping.h
@@ -216,12 +219,12 @@
                           LINK_FLAGS "/MANIFEST:NO")
 endif()
 
-add_executable(midiread midifile.c z_native.c i_system.c m_argv.c m_misc.c)
+add_executable(midiread midifile.c z_native.c i_system.c m_argv.c m_misc.c d_iwad.c deh_str.c m_config.c)
 target_compile_definitions(midiread PRIVATE "-DTEST")
 target_include_directories(midiread PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
 target_link_libraries(midiread SDL2::SDL2main SDL2::SDL2)
 
-add_executable(mus2mid mus2mid.c memio.c z_native.c i_system.c m_argv.c m_misc.c)
+add_executable(mus2mid mus2mid.c memio.c z_native.c i_system.c m_argv.c m_misc.c d_iwad.c deh_str.c m_config.c)
 target_compile_definitions(mus2mid PRIVATE "-DSTANDALONE")
 target_include_directories(mus2mid PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
 target_link_libraries(mus2mid SDL2::SDL2main SDL2::SDL2)

=== src/doom/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
             am_map.c        am_map.h
             deh_ammo.c
             deh_bexincl.c
-            deh_bexpars.c
+            deh_bexpars.c   deh_bexpars.h
             deh_bexptr.c
             deh_bexstr.c
             deh_cheat.c

=== src/setup/CMakeLists.txt ===
add_library(setup STATIC
            compatibility.c     compatibility.h
            display.c           display.h
            joystick.c          joystick.h
            keyboard.c          keyboard.h
            mainmenu.c
            mode.c              mode.h
            mouse.c             mouse.h
            multiplayer.c       multiplayer.h
            sound.c             sound.h
            execute.c           execute.h
            txt_joyaxis.c       txt_joyaxis.h
            txt_joybinput.c     txt_joybinput.h
            txt_keyinput.c      txt_keyinput.h
            txt_mouseinput.c    txt_mouseinput.h)

target_include_directories(setup PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(setup textscreen SDL2::SDL2 SDL2::mixer)

=== debian/changelog ===
crispy-doom (5.6.4-1) unstable; urgency=medium

  * New upstream version 5.6.4
  * Bump Standards-Version to 4.5.0.
  * Include pkg-info.mk in debian/rules.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 15 Feb 2020 23:25:45 +0100

crispy-doom (5.6.3-2) unstable; urgency=medium

  [ Jonathan Dowland ]
  * Remove myself from Uploaders.

  [ Moritz Muehlenhoff ]
  * Also switch Build-Depends to python3

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 02 Dec 2019 22:59:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Jonathan Dowland <jmtd@debian.org>,
- Fabian Greffrath <fabian@debian.org>
+Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  bash-completion,
@@ -12,8 +11,8 @@
  libsdl2-mixer-dev,
  libsdl2-net-dev,
  libsdl2-dev,
- python (>= 2.5)
-Standards-Version: 4.4.0
+ python3
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
 Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
 Homepage: https://github.com/fabiangreffrath/crispy-doom

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/,dversionmangle=s/\+dfsg\d//" \
    https://github.com/fabiangreffrath/crispy-doom/releases \
    /fabiangreffrath/crispy-doom/archive/crispy-doom-(.*)\.tar\.gz

## crispy-doom 5.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.6.4 LANGUAGES C)
+project("Crispy Doom" VERSION 5.8.0 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
@@ -15,7 +15,7 @@
 set(PACKAGE_BUGREPORT "https://github.com/fabiangreffrath/crispy-doom/issues")
 
 string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
-set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2017")
+set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2020")
 set(PACKAGE_LICENSE "GNU General Public License, version 2")
 
 # Any settings that should apply to all targets in this directory and all

=== debian/changelog ===
crispy-doom (5.8.0-2) unstable; urgency=medium

  * Fix file conflict with the chocolate-doom package,
    thanks Sven Joachim, closes: #958075.
  * Improve crispy-heretic integration.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 23 Apr 2020 21:42:49 +0200

crispy-doom (5.8.0-1) unstable; urgency=medium

  * New upstream version 5.8.0
  * Apply some post-release patches from the upstream GIT repository.
    + Un-name the color translation enum{},
      fixes FTBFS with gcc-10 (Closes: #957110).

 -- Fabian Greffrath <fabian@debian.org>  Fri, 17 Apr 2020 21:35:28 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,17 +11,18 @@
 
 override_dh_auto_install:
 	dh_auto_install --max-parallel=1 -- \
-		SETUP_BINARIES=crispy-doom-setup \
+		SETUP_BINARIES=crispy-setup \
 		DOC_FILES="README.md" \
 		execgamesdir=/usr/games \
 		appdatadir=/usr/share/metainfo
 	# avoid clashing with chocolate-doom (contents is currently identical)
 	mv debian/crispy-doom/usr/share/man/man5/default.cfg.5 \
 	   debian/crispy-doom/usr/share/man/man5/crispy_default.cfg.5
-	sed -i 's/Exec=crispy-setup/Exec=crispy-doom-setup/' \
-	   debian/crispy-doom/usr/share/applications/*Setup*.desktop
+	mv debian/crispy-doom/usr/share/man/man5/heretic.cfg.5 \
+	   debian/crispy-doom/usr/share/man/man5/crispy_heretic.cfg.5
 	# superfluous docs
 	rm debian/crispy-doom/usr/share/doc/crispy-doom/CMDLINE.doom \
 	      debian/crispy-doom/usr/share/doc/crispy-doom/INSTALL.doom \
 	      debian/crispy-doom/usr/share/doc/crispy-doom/NOT-BUGS.md
+	rm -rf debian/crispy-doom/usr/share/doc/crispy-heretic
 	find 'debian/' -name 'crispy-server*' -delete

## crispy-doom 5.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.8.0 LANGUAGES C)
+project("Crispy Doom" VERSION 5.9.0 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
crispy-doom (5.9.0-1) unstable; urgency=medium

  * New upstream version 5.9.0
    + Fixes CVE-2020-14983 (Closes: #964564).
  * Remove all patches applied upstream.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 21 Aug 2020 22:29:13 +0200

## crispy-doom 5.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.9.0 LANGUAGES C)
+project("Crispy Doom" VERSION 5.9.2 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
@@ -28,8 +28,8 @@
                         "-Wredundant-decls")
 endif()
 
-find_package(SDL2 2.0.1)
-find_package(SDL2_mixer 2.0.0)
+find_package(SDL2 2.0.7)
+find_package(SDL2_mixer 2.0.2)
 find_package(SDL2_net 2.0.0)
 
 # Check for libsamplerate.

=== src/doom/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
             d_items.c       d_items.h
             d_main.c        d_main.h
             d_net.c
+            d_pwad.c        d_pwad.h
                             doomdata.h
             doomdef.c       doomdef.h
             doomstat.c      doomstat.h

=== debian/changelog ===
crispy-doom (5.9.2-1) unstable; urgency=medium

  * New upstream version 5.9.2
  * Add some post-release patches from upstream.
  * Symlink crispy-doom-setup.6 to crispy-setup.6.
  * Remove --as-needed linker flag.
  * Bump debhelper-compat to 13.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 02 Oct 2020 09:04:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  bash-completion,
  libpng-dev,
  libsamplerate0-dev,

## crispy-doom 5.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.9.2 LANGUAGES C)
+project("Crispy Doom" VERSION 5.10.0 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
crispy-doom (5.10.0-1) unstable; urgency=medium

  * Recommend freedoom instead of freedm.
  * Bump Breaks against the freedoom package to a version which is
    known to be Vanilla (and thus Crispy) Doom compatible.
  * New upstream version 5.10.0
  * Removed all patches applied upstream.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 27 Jan 2021 22:39:21 +0100

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,10 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- freedm | game-data-packager
+ freedoom | game-data-packager
 Provides: doom-engine
+Breaks:
+ freedoom (<< 0.12.1)
 Description: Limit-raising medium-resolution Doom engine based on Chocolate Doom
  Crispy Doom is a friendly fork of Chocolate Doom that provides a higher display
  resolution, removes the static limits of the Doom engine and offers further

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
 export DEB_CPPFLAGS_MAINT_APPEND = -DBUILD_DATE='"$(shell date --utc --date=@${SOURCE_DATE_EPOCH} +%Y-%m-%d)"'
 
 %:

## crispy-doom 5.10.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.10.0 LANGUAGES C)
+project("Crispy Doom" VERSION 5.10.3 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
@@ -15,7 +15,7 @@
 set(PACKAGE_BUGREPORT "https://github.com/fabiangreffrath/crispy-doom/issues")
 
 string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
-set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2020")
+set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2021")
 set(PACKAGE_LICENSE "GNU General Public License, version 2")
 
 # Any settings that should apply to all targets in this directory and all
@@ -31,6 +31,8 @@
 find_package(SDL2 2.0.7)
 find_package(SDL2_mixer 2.0.2)
 find_package(SDL2_net 2.0.0)
+
+option(CRISPY_TRUECOLOR "True color rendering" OFF)
 
 # Check for libsamplerate.
 find_package(samplerate)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
 # Source files used by the game binaries (chocolate-doom, etc.)
 
 set(GAME_SOURCE_FILES
+    a11y.c              a11y.h
     aes_prng.c          aes_prng.h
     d_event.c           d_event.h
                         doomkeys.h

=== debian/changelog ===
crispy-doom (5.10.3-1) unstable; urgency=medium

  * Fix debian/watch file.
  * New upstream version 5.10.3
  * Bump Standards-Version to 4.5.1.
  * Remove leftover Hexen and Strife Makefiles in the clean rule.
  * Add lintian source overrides for uninstalled examples of the
    utility libraries.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 19 Aug 2021 21:43:11 +0200
